CFPRIME STATU                                                           STATU       1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*               Output Analysis Program for ETMSP (OAP)               *RIGHTE      4
C*               =======================================               *RIGHTE      5
C*                                                                     *RIGHTE     11
C*        copyright @(1993) Electric Power Research Institute          *RIGHTE     12
C*                                                                     *RIGHTE     13
C* EPRI reserves all rights in the software and associated             *RIGHTE     14
C* documentation as delivered. The software and its associated         *RIGHTE     15
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     16
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     17
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     18
C* of any changes or modifications to the software within two (2)      *RIGHTE     19
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     20
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     21
C* new designation sufficiently different from its then current        *RIGHTE     22
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     23
C* the current software as changed or modified.                        *RIGHTE     24
C*                                                                     *RIGHTE     25
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     26
C* directly from EPRI.                                                 *RIGHTE     27
C*                                                                     *RIGHTE     28
C* This program and supporting materials may be independently available*RIGHTE     29
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     30
C* distribution fee. The EPSC is a service of                          *RIGHTE     31
C*                                                                     *RIGHTE     32
C*                    Power Computing Company                          *RIGHTE     33
C*                    1930 Hi Line                                     *RIGHTE     34
C*                    Dallas, Tx 75207                                 *RIGHTE     35
C*                                                                     *RIGHTE     36
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     37
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     38
C*                                                                     *RIGHTE     39
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     40
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     41
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     42
C*    DOCUMENTATION; OR                                                *RIGHTE     43
C*                                                                     *RIGHTE     44
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     45
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     46
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     47
C*                                                                     *RIGHTE     48
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     49
C* THEREOF.                                                            *RIGHTE     50
C*                                                                     *RIGHTE     51
C***********************************************************************RIGHTE     52
C                                                                       STATU       3
      SUBROUTINE STATU(PARAM,LENPAR)                                    STATU       4
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCSTATU       5
CD                                                                      STATU       6
CD         THIS ROUTINE DISPLAYS THE PROGRAM STATUS                     STATU       7
CD                                                                      STATU       8
CD         CALLING PARAMETERS :                                         STATU       9
CD                                                                      STATU      10
CD                     PARAM  - USER INPUT COMMAND LINE                 STATU      11
CD                     LENPAR - NUMBER OF CHARACTERS IN PARAM           STATU      12
CD                                                                      STATU      13
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCSTATU      14
C                                                                       STATU      15
      INCLUDE 'SOAPC1.INS'                                              STATU      16
      COMMON /REC9/ IRECS,NREC,IREC9(128)                               STATU      17
      COMMON /RECPT/ KRSTRT, ISTNAM, IIDARY, ITYARY, IHREC,ICHAN,       STATU      18
     *          NPFL,LRREC,IRREC                                        STATU      19
      CHARACTER*50 PARAM                                                STATU      20
                                                                        STATU      21
      IF(PARAM(1:3).EQ.'MEN') THEN                                      STATU      22
        MENUM=.TRUE.                                                    STATU      23
      ENDIF                                                             STATU      24
                                                                        STATU      25
      WRITE(LOUT,1000)                                                  STATU      26
      WRITE(LOUT,1010) RECORD,OPENED,OPEN1,FILLED,PLAYBA,               STATU      27
     1                 SCALX,GPINIT,MENUM,USCALE,CHNLFI,ICHNL           STATU      28
      IF(OPENED) THEN                                                   STATU      29
         WRITE(LOUT,2000) ICHAN,IRECS                                   STATU      30
      ENDIF                                                             STATU      31
      WRITE(LOUT,3000)                                                  STATU      32
 1000 FORMAT(//,                                                        STATU      33
     1  1X,79('='),/,                                                   STATU      34
     1  1X, ' PROGRAM STATUS ',/,                                       STATU      35
     1  1X, '----------------')                                         STATU      36
 1010 FORMAT(/,1X,'RECORDING SESSION ACTIVE   : ',L4,/,                 STATU      37
     1         1X,'CHANNEL FILE OPENED        : ',L4,/,                 STATU      38
     1         1X,'CHANNEL FILE READ ALREADY  : ',L4,/,                 STATU      39
     1         1X,'PLOTTING DATA ARRAY FILLED : ',L4,/,                 STATU      40
     1         1X,'PLAYBACK MODE ACTIVE       : ',L4,/,                 STATU      41
     1         1X,'AUTO SCALE X-AXIS ACTIVE   : ',L4,/,                 STATU      42
     1         1X,'GP MODE INITIALIZED        : ',L4,/,                 STATU      43
     1         1X,'MENU MODE ACTIVE           : ',L4,/,                 STATU      44
     1         1X,'USER SPECIFY SCALES MODE   : ',L4,/,                 STATU      45
     1         1X,'CHANNEL FILE NAME          : ',A50/,                 STATU      46
     1         1X,'CHANNEL FILE LOGICAL UNIT  : ',I2 )                  STATU      47
 2000 FORMAT(/,1X,'NUMBER OF CHANNELS         : ',I6,/,                 STATU      48
     1         1X,'RECORDS PER TIME STEP      : ',I6)                   STATU      49
 3000 FORMAT(/,                                                         STATU      50
     1  1X,79('='),/)                                                   STATU      51
                                                                        STATU      52
      RETURN                                                            STATU      53
      END                                                               STATU      54
                                                                        STATU      55
